proc shortest_dist {org list} {
    global widget env script
    set _loc_list1 $org
    set _distance_min 1.0e30
    set no [llength $list]
    for { set i 0} {$i < $no} {incr i} {
        set _loc_list2 [lindex $list $i]
        set x1 [lindex $_loc_list1 0]
        set y1 [lindex $_loc_list1 1]
        set x2 [lindex $_loc_list2 0]
        set y2 [lindex $_loc_list2 1]
    
        set _distance [expr {hypot([expr {abs([expr $x2 - $x1])}],[expr {abs([expr $y2 - $y1])}])}]
        if {$_distance < $_distance_min} {
            set _distance_min $_distance
            set _distance_min_idx $i
        }
        update
    }
    set script(shortest_dist) $_distance_min
    return $_distance_min_idx
}
source [file join [pwd] sample_list.tcl]
set list_no [llength $list]
set _list ""
set _org "0 0"
set _distance_t 0
set list2 $list
set start_time [clock clicks -milliseconds]
for { set j 0} {$j < $list_no} {incr j} {
    set _loc_list1 $_org
    set _index [shortest_dist $_org $list2]
    set _org [lindex $list $_index]
    set list2 [lreplace $list2 $_index $_index]
    set _distance_t [expr $script(shortest_dist) + $_distance_t]
    lappend _list $_org
    update
}
set end_time [clock clicks -milliseconds]
set elapsed_time [format %.3f [expr ($end_time - $start_time) / 1000.0]]
puts "List Qty. : $list_no  Elapsed Time : $elapsed_time sec"
exit

